Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
Mercury.Nucleus.Trees.BFSTreeEnumerator< T > Class Template Reference

Breadth-First Search tree enumerator More...

Inheritance diagram for Mercury.Nucleus.Trees.BFSTreeEnumerator< T >:

## Public Member Functions
| BFSTreeEnumerator (Tree< T > root)
| Creates a new instance of the BFSTreeEnumerator{T} class. More...
void | Dispose ()
bool | MoveNext ()
void | Reset ()

## Properties
T | Current`[get]`
| Gets the element in the collection at the current position of the enumerator. More...

## Detailed Description

Breadth-First Search tree enumerator

Template Parameters

  T | Node value type

Definition at line 90 of file TreeEnumerators.cs.

## Constructor & Destructor Documentation

Mercury.Nucleus.Trees.BFSTreeEnumerator< T >.BFSTreeEnumerator | ( | Tree< T > | root | ) |

Creates a new instance of the BFSTreeEnumerator{T} class.

Parameters

  root | The root element

Definition at line 105 of file TreeEnumerators.cs.

## Member Function Documentation

void Mercury.Nucleus.Trees.BFSTreeEnumerator< T >.Dispose | ( |  | ) |

Definition at line 130 of file TreeEnumerators.cs.

bool Mercury.Nucleus.Trees.BFSTreeEnumerator< T >.MoveNext | ( |  | ) |

Definition at line 136 of file TreeEnumerators.cs.

void Mercury.Nucleus.Trees.BFSTreeEnumerator< T >.Reset | ( |  | ) |

Definition at line 150 of file TreeEnumerators.cs.

## Property Documentation

T Mercury.Nucleus.Trees.BFSTreeEnumerator< T >.Current
| get

Gets the element in the collection at the current position of the enumerator.

Returns
  The element in the collection at the current position of the enumerator.

Definition at line 118 of file TreeEnumerators.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Nucleus/Trees/TreeEnumerators.cs